Novell Client NWSPOOL.DLL EnumPrinters Stack Overflow Vulnerability

2008-02-11T00:00:00
ID ZDI-08-005
Type zdi
Reporter Anonymous and Avosani Gabriele
Modified 2008-11-09T00:00:00

Description

This vulnerability allows remote attackers to execute arbitrary code on systems with vulnerable installations of the Novell Netware Client. Authentication is not required to exploit this vulnerability.

The specific flaw exists in nwspool.dll which is responsible for handling RPC requests through the spoolss named pipe. The EnumPrinters function exposed by this DLL contains a logical flaw allowing an attacker to bypass a patch introduced to prevent the vulnerability described in ZDI-07-045. Exploitation of this vulnerability leads to arbitrary code execution in the context of the SYSTEM user.